> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/security/google-iap-token.md).

# Google IAP Token

Descubra mais sobre o componente Google IAP Token e saiba como utilizá-lo na Digibee Integration Platform.

O componente **Google IAP Token** permite gerar tokens do tipo OpenID para autenticações de proxies IAP (Identity Aware Proxy).

## Parâmetros

Dê uma olhada nos parâmetros de configuração do componente. Parâmetros suportados por [expressões *Double Braces*](/documentation/connectors-and-triggers/pt-br/double-braces/overview.md) estão marcados com `(DB)`.

<table data-full-width="true"><thead><tr><th>Parâmetro</th><th width="364">Descrição</th><th width="141.75">Valor padrão</th><th>Tipo de dado</th></tr></thead><tbody><tr><td><strong>IAP Client ID</strong></td><td>Informe o OAuth <em>client ID</em>, gerado na plataforma GCP, para recursos protegidos por IAP.</td><td>N/A</td><td><em>String</em></td></tr><tr><td><strong>Private Key</strong></td><td>Chave para o <em>account</em> com o <em>private key</em> do <em>Google service account</em>.</td><td>N/A</td><td><em>String</em></td></tr><tr><td><strong>Fail On Error</strong></td><td>Se a opção estiver habilitada, a execução do <em>pipeline</em> com erro será interrompida; do contrário, a execução do <em>pipeline</em> continua, mas o resultado da propriedade <em>success</em> será <em>false</em> na saída do componente.</td><td>N/A</td><td>Booleano</td></tr></tbody></table>

{% hint style="info" %}
Para gerar o *token*, é necessário criar um *service account* no *Google Cloud* e utilizar a *private key* para configurar um *Account* na Digibee Integration Platform.
{% endhint %}

## Fluxo de mensagens <a href="#h_c8faba169d" id="h_c8faba169d"></a>

### **Entrada** <a href="#h_61c4d1a2b4" id="h_61c4d1a2b4"></a>

Não é necessário nenhuma mensagem específica na entrada, bastando apenas configurar os campos necessários para cada operação.

### **Saída** <a href="#h_ec99af231b" id="h_ec99af231b"></a>

#### Object

```
{
"success": true,
"token": "eyJhbGciOiJSUz",
"refreshToken": "eyJhbGciOiJSUzI1N"
}
```

#### Erro

{% code overflow="wrap" %}

```
{
"success": false,
"message": "com.digibee.pipelineengine.exception.PipelineEngineConfigurationException: Error loading connector google-authenticator-connector. Error: com.digibee.pipelineengine.exception.PipelineEngineConfigurationException: Invalid account type received: GOOGLE_KEY"
}
```

{% endcode %}

* **success:** “*false”*, pois ocorreu um erro na execução
* **message:** é a mensagem de erro do componente
* **error:** é a mensagem de erro recebida do componente *Google Authenticator*

[Leia nosso artigo sobre Processamento de mensagens](/documentation/developer-guide/pt-br/development-cycle/build-overview/pipelines/messages-processing.md) para entender como a Digibee Integration Platform processa o fluxo de mensagens.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/security/google-iap-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
